@import '../../../node_modules/choices.js/public/assets/styles/choices.min.css'

.choices
  &[data-type*=select-one] 
    & ^[0]__inner
      padding-bottom calc(var(--gap) / 2)
    &::after
      border-color var(--color-mark) transparent transparent
      border-width 6px
    &.is-open
      &::after
        margin-top -9px
        border-color transparent transparent var(--color-mark)
  &__inner
    padding calc(var(--gap) / 2) var(--gap)
    background-color var(--color-white)
    border 1px solid var(--color-mark)
    border-radius var(--border-radius-s)
    .is-focused &
    .is-open &
      border 1px solid var(--color-mark)
  &__list
    &--single
      padding 0
    &--dropdown .choices__item--selectable.is-highlighted
    &[aria-expanded] .choices__item--selectable.is-highlighted
      background-color var(--color-background)
    &--dropdown .choices__item
    &[aria-expanded] .choices__item
      $font-l()
      font-family 'Rubik', 'Arial', sans-serif
      padding 10px var(--gap)
      color var(--color-text)
      white-space normal
      word-break break-word
    .is-open &--dropdown
    .is-open &[aria-expanded]
      border-color var(--color-mark)
  &__item
    $font-l()
    font-family 'Rubik', 'Arial', sans-serif
    color var(--color-grey)
